
package com.lideeyunji.core.framework.config.aspect.enhance.model;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @author JX
 * @create 2024-08-15 10:02
 * @dedescription:
 */
public class EnhanceResult implements Serializable {
    private boolean exitFlag = false;//是否退出

    //表单
    private String id;

    //列表
    private Long total;
    private List<Map<String, Object>> records;

    public boolean isExitFlag() {
        return exitFlag;
    }

    public void setExitFlag(boolean exitFlag) {
        this.exitFlag = exitFlag;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Long getTotal() {
        return total;
    }

    public void setTotal(Long total) {
        this.total = total;
    }

    public List<Map<String, Object>> getRecords() {
        return records;
    }

    public void setRecords(List<Map<String, Object>> records) {
        this.records = records;
    }

    public EnhanceResult() {
    }

    public EnhanceResult(boolean exitFlag, String id, Long total, List<Map<String, Object>> records) {
        this.exitFlag = exitFlag;
        this.id = id;
        this.total = total;
        this.records = records;
    }
}
